# Get Blocks

Get blocks from the blockchain in reverse block height order.

**Request:**\
`requestType` is *getBlocks*\
`firstIndex` is the first block to retrieve (optional, default is zero or the last block on the blockchain)\
`lastIndex` is the last block to retrieve (optional, default is firstIndex + 99)\
`includeTransactions` is true to include transaction details (optional)

**Response:**

(A) `blocks` is the array of blocks retrieved (refer to Get Block for details)\
(N) `requestProcessingTime` is the API request processing time (in millisec)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.fwallet.net/block/get-blocks.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
